Package com.xebialabs.xlrelease.domain.utils

# Class syntax.TaskOps$

java.lang.Object
com.xebialabs.xlrelease.domain.utils.syntax.TaskOps$

Enclosing class:
  `syntax`

public static class syntax.TaskOps$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final syntax.TaskOps$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskOps$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final scala.collection.Iterable<Dependency>`
  `allDependencies$extension(syntax.TaskOps $this)`
  `final scala.Option<GateTask>`
  `asGateTask$extension(syntax.TaskOps $this)`
  `final scala.collection.Iterable<Comment>`
  `comments$extension(syntax.TaskOps $this)`
  `final scala.collection.Iterable<Dependency>`
  `dependencies$extension(syntax.TaskOps $this)`
  `final boolean`
  `equals$extension(syntax.TaskOps $this, Object x$1)`
  `final int`
  `hashCode$extension(syntax.TaskOps $this)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final syntax.TaskOps$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TaskOps$

    public TaskOps$()

- ## Method Details

  - ### asGateTask$extension

    public final scala.Option<GateTask> asGateTask$extension(syntax.TaskOps $this)

  - ### comments$extension

    public final scala.collection.Iterable<Comment> comments$extension(syntax.TaskOps $this)

  - ### dependencies$extension

    public final scala.collection.Iterable<Dependency> dependencies$extension(syntax.TaskOps $this)

  - ### allDependencies$extension

    public final scala.collection.Iterable<Dependency> allDependencies$extension(syntax.TaskOps $this)

  - ### hashCode$extension

    public final int hashCode$extension(syntax.TaskOps $this)

  - ### equals$extension

    public final boolean equals$extension(syntax.TaskOps $this, Object x$1)